diff --git a/arch/arm/mach-tegra/Makefile b/arch/arm/mach-tegra/Makefile
index 04cef0a..8a67393 100644
--- a/arch/arm/mach-tegra/Makefile
+++ b/arch/arm/mach-tegra/Makefile
@@ -15,7 +15,7 @@ obj-$(CONFIG_CMD_ENTERRCM) += cmd_enterrcm.o
 endif
 
 obj-y += ap.o
-obj-y += board.o
+obj-y += board.o board2.o
 obj-y += cache.o
 obj-y += clock.o
 obj-y += lowlevel_init.o
@@ -24,6 +24,7 @@ obj-y += powergate.o
 obj-y += xusb-padctl.o
 obj-$(CONFIG_DISPLAY_CPUINFO) += sys_info.o
 obj-$(CONFIG_TEGRA124) += vpr.o
+obj-$(CONFIG_TEGRA_CLOCK_SCALING) += emc.o
 
 obj-$(CONFIG_TEGRA20) += tegra20/
 obj-$(CONFIG_TEGRA30) += tegra30/
diff --git a/board/nvidia/common/board.c b/arch/arm/mach-tegra/board2.c
similarity index 100%
rename from board/nvidia/common/board.c
rename to arch/arm/mach-tegra/board2.c
diff --git a/board/nvidia/common/emc.c b/arch/arm/mach-tegra/emc.c
similarity index 100%
rename from board/nvidia/common/emc.c
rename to arch/arm/mach-tegra/emc.c
diff --git a/board/nvidia/common/emc.h b/arch/arm/mach-tegra/emc.h
similarity index 100%
rename from board/nvidia/common/emc.h
rename to arch/arm/mach-tegra/emc.h
diff --git a/board/avionic-design/medcom-wide/Makefile b/board/avionic-design/medcom-wide/Makefile
index bcf7ccf..1351d1f 100644
--- a/board/avionic-design/medcom-wide/Makefile
+++ b/board/avionic-design/medcom-wide/Makefile
@@ -8,5 +8,3 @@
 #
 
 obj-y	:= ../common/tamonten.o
-
-include $(srctree)/board/nvidia/common/common.mk
diff --git a/board/avionic-design/plutux/Makefile b/board/avionic-design/plutux/Makefile
index bcf7ccf..1351d1f 100644
--- a/board/avionic-design/plutux/Makefile
+++ b/board/avionic-design/plutux/Makefile
@@ -8,5 +8,3 @@
 #
 
 obj-y	:= ../common/tamonten.o
-
-include $(srctree)/board/nvidia/common/common.mk
diff --git a/board/avionic-design/tec-ng/Makefile b/board/avionic-design/tec-ng/Makefile
index a556b92..8ec9b88 100644
--- a/board/avionic-design/tec-ng/Makefile
+++ b/board/avionic-design/tec-ng/Makefile
@@ -6,5 +6,3 @@
 #
 
 obj-y	:= ../common/tamonten-ng.o
-
-include $(srctree)/board/nvidia/common/common.mk
diff --git a/board/avionic-design/tec/Makefile b/board/avionic-design/tec/Makefile
index bcf7ccf..1351d1f 100644
--- a/board/avionic-design/tec/Makefile
+++ b/board/avionic-design/tec/Makefile
@@ -8,5 +8,3 @@
 #
 
 obj-y	:= ../common/tamonten.o
-
-include $(srctree)/board/nvidia/common/common.mk
diff --git a/board/compal/paz00/Makefile b/board/compal/paz00/Makefile
index e6a0b29..b5fde8d 100644
--- a/board/compal/paz00/Makefile
+++ b/board/compal/paz00/Makefile
@@ -15,5 +15,3 @@
 #
 
 obj-y	:= paz00.o
-
-include $(srctree)/board/nvidia/common/common.mk
diff --git a/board/compulab/trimslice/Makefile b/board/compulab/trimslice/Makefile
index 311eb92..5396b21 100644
--- a/board/compulab/trimslice/Makefile
+++ b/board/compulab/trimslice/Makefile
@@ -6,5 +6,3 @@
 #
 
 obj-y	:= trimslice.o
-
-include $(srctree)/board/nvidia/common/common.mk
diff --git a/board/nvidia/common/Makefile b/board/nvidia/common/Makefile
deleted file mode 100644
index e3b2651..0000000
--- a/board/nvidia/common/Makefile
+++ /dev/null
@@ -1,4 +0,0 @@
-# Copyright (c) 2011 The Chromium OS Authors.
-# SPDX-License-Identifier:	GPL-2.0+
-
-include $(src)/common.mk
diff --git a/board/nvidia/common/common.mk b/board/nvidia/common/common.mk
deleted file mode 100644
index 9a9b529..0000000
--- a/board/nvidia/common/common.mk
+++ /dev/null
@@ -1,3 +0,0 @@
-# common options for all tegra boards
-obj-y	+= ../../nvidia/common/board.o
-obj-$(CONFIG_TEGRA_CLOCK_SCALING) += ../../nvidia/common/emc.o
diff --git a/board/toradex/apalis_t30/Makefile b/board/toradex/apalis_t30/Makefile
index a968e6b..0ea3d8f 100644
--- a/board/toradex/apalis_t30/Makefile
+++ b/board/toradex/apalis_t30/Makefile
@@ -1,6 +1,4 @@
 # Copyright (c) 2014 Marcel Ziswiler
 # SPDX-License-Identifier:      GPL-2.0+
 
-include $(srctree)/board/nvidia/common/common.mk
-
 obj-y	+= apalis_t30.o
diff --git a/board/toradex/colibri_t20/Makefile b/board/toradex/colibri_t20/Makefile
index 86f78d9..e5e71ac 100644
--- a/board/toradex/colibri_t20/Makefile
+++ b/board/toradex/colibri_t20/Makefile
@@ -4,6 +4,4 @@
 # SPDX-License-Identifier:	GPL-2.0+
 #
 
-include $(srctree)/board/nvidia/common/common.mk
-
 obj-y	+= colibri_t20.o
diff --git a/board/toradex/colibri_t30/Makefile b/board/toradex/colibri_t30/Makefile
index 3d58a4b..4242902 100644
--- a/board/toradex/colibri_t30/Makefile
+++ b/board/toradex/colibri_t30/Makefile
@@ -1,6 +1,4 @@
 # Copyright (c) 2013-2014 Stefan Agner
 # SPDX-License-Identifier:      GPL-2.0+
 
-include $(srctree)/board/nvidia/common/common.mk
-
 obj-y	+= colibri_t30.o